java.lang

## Class InstantiationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.IncompatibleClassChangeError
        - - java.lang.InstantiationError

All Implemented Interfaces:
  Serializable

    public class InstantiationError
    extends IncompatibleClassChangeError

Thrown when an application tries to use the Java `new` construct to instantiate an abstract class or an interface.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Since:
  JDK1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InstantiationError()` Constructs an `InstantiationError` with no detail message.
`InstantiationError(String s)` Constructs an `InstantiationError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstantiationError

    public InstantiationError()

Constructs an `InstantiationError` with no detail message.

#### InstantiationError

    public InstantiationError(String s)

Constructs an `InstantiationError` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.